=== debian/changelog ===
libpam-pwdfile (1.0-1) unstable; urgency=low

  * New upstream release.
    - add debian/NEWS for legacy_crypt
  * update debian/copright, convert to DEP5

 -- Timo Weingärtner <timo@tiwe.de>  Sun, 29 Sep 2013 19:54:37 +0200

libpam-pwdfile (0.100-1) UNRELEASED; urgency=low

  * add gbp.conf
  * drop stuff in debian/ not needed anymore:
    - patches
    - Makefile (Closes: #724202)
    - README.Debian
    - source.lintian-overrides
  * add watch file
  * bump Standards-Version, add Vcs-*, update Homepage

 -- Timo Weingärtner <timo@tiwe.de>  Wed, 29 May 2013 01:26:12 +0200
