=== debian/watch ===
version=3
https://github.com/tiwe-de/libpam-pwdfile/tags .*/v(\d[\d\.]*)\.tar\.gz
