=== debian/changelog ===
libpam-pwdfile (2.0-1) unstable; urgency=medium

  * New upstream release.
    - enable large file support
    - do away with legacy crypt types
    - INSTALL: mention libxcrypt
  * update upstream URLs
  * adapt descriptions to upstream changes
  * Install PAM module into /usr.
    Thanks to Michael Biebl <biebl@debian.org> (Closes: #1061849)
  * update to newer packaging standards
  * remove trailing space in debian/changelog
  * add Build-Depends: libcrypt-dev (Closes: #1066572)
  * enable most dpkg-buildflags features
  * make debian/copyright cover all files

 -- Timo Weingärtner <timo@tiwe.de>  Thu, 20 Jun 2024 14:47:20 +0200
