=== debian/control ===
Source: libpam-pwdfile
Section: admin
Priority: optional
Maintainer: Timo Weingärtner <timo@tiwe.de>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), libcrypt-dev, libpam0g-dev
Rules-Requires-Root: no
Homepage: https://git.tiwe.de/libpam-pwdfile.git
Vcs-Browser: https://git.tiwe.de/libpam-pwdfile.git/tree/?h=debian
Vcs-Git: https://git.tiwe.de/libpam-pwdfile.git -b debian

Package: libpam-pwdfile
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PAM module allowing authentication via an /etc/passwd-like file
 This PAM module lets you use an arbitrarily-named text file similar in
 structure to /etc/passwd to authenticate users.
