=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all qa=+bug abi=+lfs

%:
	dh $@

override_dh_auto_install:
