=== debian/watch ===
version=4
https://git.tiwe.de/libpam-pwdfile.git/refs/tags/ .*/snapshot/libpam-pwdfile-([^/]+).tar.gz
